---
title: RTCInboundRtpStreamStats.remoteId
slug: Web/API/RTCInboundRtpStreamStats/remoteId
tags:
  - API
  - Media
  - Property
  - RTCInboundRtpStreamStats
  - RTCRtpSender
  - RTP
  - Reference
  - Remote
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - id
  - remoteId
  - sender
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>remoteId</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary specifies the {{domxref("RTCStats.id", "id")}} of the {{domxref("RTCRemoteOutboundRtpStreamStats")}} object representing the remote peer's {{domxref("RTCRtpSender")}} which is sending the media to the local peer.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>remoteStatsId</em> = <em>rtcInboundRtpStreamStats</em>.remoteId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the ID of the {{domxref("RTCRemoteOutboundRtpStreamStats")}} object that represents the remote peer's {{domxref("RTCRtpSender")}} for the synchronization source represented by this stats object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-remoteid', 'RTCInboundRtpStreamStats.remoteId')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.remoteId")}}</p>
